Page MenuHomePhabricator

Convert RT links in Bugzilla comments in links in Phabricator tasks
Open, LowestPublic

Description

There are different ways to generate links to RT in Bugzilla comments. Ideally those links should be kept in Phabricator comments.

string in commentto become
RT 90000RT 90000 ([[ https://rt.wikimedia.org/Ticket/Display.html?id=90000 | RT]] )
RT #90000RT #90000 ([[ https://rt.wikimedia.org/Ticket/Display.html?id=90000 | RT]] )

See https://old-bugzilla.wikimedia.org/show_bug.cgi?id=72485

Event Timeline

Qgil created this task.Oct 24 2014, 10:36 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Low.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.

do we want to replace those inside Bugzilla first, then export from Bugzilla,
or are we first importing from Bugzilla and then fixing RT links inside phabricator?

Qgil raised the priority of this task from Low to Normal.

This task is not essential, it has a risk of overcomplicating the migration process, and it can be done afterward either with direct changes to the database or a bot.

Qgil lowered the priority of this task from Normal to Low.Nov 7 2014, 10:49 AM
chasemp claimed this task.Dec 30 2014, 7:43 PM
Aklapper updated the task description. (Show Details)Dec 31 2014, 5:28 PM
Qgil updated the task description. (Show Details)Jan 2 2015, 3:43 PM
chasemp lowered the priority of this task from Low to Lowest.Jan 30 2015, 8:00 PM
chasemp removed chasemp as the assignee of this task.

I don't think many folks still look up stuff on https://rt.wikimedia.org/ nowadays. Proposing to decline.

Kind of unfortunate though because not all tickets from RT have been imported and the ones that have are mostly set to NDA and you only find them with advanced search if you really know how to since there is no fixed offset like with Bugzilla ticket numbers.

In T874#4531707, @Dzahn wrote:

Kind of unfortunate though because not all tickets from RT have been imported and the ones that have are mostly set to NDA and you only find them with advanced search if you really know how to since there is no fixed offset like with Bugzilla ticket numbers.

Should we look at transferring over the queues that didn't transitioned over? It would reduce the technical debt having to maintain the RT install and everything would be a central location for historical purposes…

In T874#4531707, @Dzahn wrote:

Kind of unfortunate though because not all tickets from RT have been imported and the ones that have are mostly set to NDA and you only find them with advanced search if you really know how to since there is no fixed offset like with Bugzilla ticket numbers.

Hmm, we might talk about different things.
My understanding was based on the task description - make RT [#]xxxx a link to RT. (That's why my followup question would have been 'How often do you have to go to RT'.) But I realize that you might refer to replacing RT [#]xxxx by Tyyyyyy instead.

Should we look at transferring over the queues that didn't transitioned over?

Out of scope / offtopic for this task. See T38 and subtasks...